%define module_version 0.01
%define module_name lib-http
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators perl(Compress/Zlib.pm)

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Uses a Perl libray diretory over the internet using the HTTP protocol.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/G/GM/GMPASSOS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module enables the use of a Perl libray diretory over the internet using
the HTTP protocol.

Also you can use libhttp-perl, that is a the TinyPerl manpage (*http://tinyperl.sf.net*)
modified, that doesn't have any library, only the basics to load *lib::http*,
than the rest of the library you load over the internet. By default a library
at *http://tinyperl.sf.net/libhttp/* is used, so you can have a full Perl working
without install a full Perl.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/l*

%files scripts
%_bindir/*

%changelog
* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

